 <?php

class Borealis_Sniffs_NamingConventions_ValidFunctionParamNameSniff implements PHP_CodeSniffer_Sniff
{
    public function register()
    {
        return array(T_FUNCTION);

    }
    
    public function process(PHP_CodeSniffer_File $phpcsFile, $stackPtr)
    {    
        $realParams = $phpcsFile->getMethodParameters($stackPtr);
        
        foreach ($realParams as $param)
        {   
            $strName = $param['name'];  
            if ( substr($strName, 0, 2) != '$p')
            {   
                $phpcsFile->addError("The method parameter $strName not begin with \$p", $stackPtr);    
            }
        }
    }   
}

?>