<?php
/**
* Gestionnaire d'utilisateur
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-users  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Gestionnaire d'utilisateur        
* 
* @category PHP 
* @package  Borealis-users
* @author   Pascal Martin 
*/ 
class com_borealis_users_UsersManager
{
    /**
    * Retourne la liste de Users
    * 
    * @return array of com_borealis_users_User
    */
    public static function getUsers()
    {
        $objArrayDatastores = com_borealis_users_SettingImpl::getDatastores();
        
        $objArrayUsers = array();
        
        foreach ($objArrayDatastores as $objDatastore)
        {
            $objArrayUsers = array_merge($objArrayUsers, $objDatastore->getUsers());                                    
        }

        return $objArrayUsers;    
    }  
}    

?>