<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
    <head>
        <title>Sample Borealis-Security application</title>
        <script language="javascript">            
            var G_A_EDIT_ROLE = "{gettext key=a_edit_role javascript=true}";
            var G_A_CANCEL_EDIT_ROLE = "{gettext key=a_cancel_edit_role javascript=true}"; 
            var G_A_SHOW_MEMBERS = "{gettext key=a_show_members javascript=true}"; 
            var G_A_HIDE_MEMBERS = "{gettext key=a_hide_members javascript=true}"; 
            var G_A_SHOW_PERMISSIONS = "{gettext key=a_show_permissions javascript=true}"; 
            var G_A_HIDE_PERMISSIONS = "{gettext key=a_hide_permissions javascript=true}"; 
            
            var G_CONFIRM_DELETE_MEMBER = "{gettext key=confirm_delete_member javascript=true}";    
            var G_CONFIRM_DELETE_MEMBERS = "{gettext key=confirm_delete_members javascript=true}";   
            var G_CONFIRM_DELETE_PERMISSION = "{gettext key=confirm_delete_permission javascript=true}";                    
            var G_CONFIRM_DELETE_PERMISSIONS = "{gettext key=confirm_delete_permissions javascript=true}";                
            var G_CONFIRM_DELETE_ROLE = "{gettext key=confirm_delete_role javascript=true}"; 
                 
            var G_ALERT_SELECT_MEMBER = "{gettext key=alert_select_member javascript=true}";
            var G_ALERT_SELECT_PERMISSION = "{gettext key=alert_select_permission javascript=true}";        
        </script>
        <script language="javascript" src="smarty/templates/js/roles.js"></script> 
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=fieldset_add_role}</legend>
            <div id="error" style="color:red">{$errorAddRole}</div> 
            <form>
                {gettext key=lbl_name} <input type="text" name="name" value="" style="width:200px" /><br/>  
                <br/>
                <input type="radio" id="copy_0" name="copy" value="0" onclick="showHideCopy('copy_member',false);showHideCopy('copy_permission',false)" checked="checked"/><label for="copy_0">{gettext key=lbl_copy_empty}</label><br/>
                <input type="radio" id="copy_1" name="copy" value="1" onclick="showHideCopy('copy_member',true);showHideCopy('copy_permission',false)" /><label for="copy_1">{gettext key=lbl_copy_member}</label><br/>
                <input type="radio" id="copy_2" name="copy" value="2" onclick="showHideCopy('copy_member',false);showHideCopy('copy_permission',true)"/><label for="copy_2">{gettext key=lbl_copy_permission}</label><br/>
                <input type="radio" id="copy_3" name="copy" value="3" onclick="showHideCopy('copy_member',true);showHideCopy('copy_permission',true)"/><label for="copy_3">{gettext key=lbl_copy_member_permission}</label><br/>
                <br/>
                <div id="copy_member" style="display:none">
                    {gettext key=lbl_copy_member_from_role}
                    <select name="copy_member">
                        {foreach from=$roles item=objRole}   
                            <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                        {/foreach}                    
                    </select>
                </div>
                <div id="copy_permission" style="display:none"> 
                    {gettext key=lbl_copy_permission_from_role}
                    <select name="copy_permission">
                        {foreach from=$roles item=objRole}   
                            <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                        {/foreach}                    
                    </select>
                </div> 
                <br/>  
                <input type="submit" value="{gettext key=btn_add_role}" />                 
                <input type="hidden" name="action" value="add_role"/>                   
            </form>
        </fieldset>
        <fieldset>
            <legend>{gettext key=fieldset_add_member}</legend> 
            <div id="error" style="color:red">{$errorAddMember}</div>  
            <form>
                {gettext key=lbl_many_member}
                <br/>
                <br/>
                {gettext key=lbl_role}
                <select name="role">
                    {foreach from=$roles item=objRole}   
                        <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                    {/foreach}                    
                </select><br/>
                {gettext key=lbl_username} <input type="text" name="username" value="" style="width:200px" />
                <input type="submit" value="{gettext key=btn_add_member}" />
                <input type="hidden" name="action" value="add_member"/>       
            </form>
        </fieldset>
        <fieldset>
            <legend>{gettext key=fieldset_add_permission}</legend> 
            <div id="error" style="color:red">{$errorAddPermission}</div>  
            <form method="post">
                {gettext key=lbl_role} 
                <select name="role">
                    {foreach from=$roles item=objRole}   
                        <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                    {/foreach}                    
                </select><br/>            
                {gettext key=lbl_permission}  
                <select name="permission[]" multiple="multiple" size="5">
                    {foreach from=$ressources item=objRessource}   
                        {foreach from=$objRessource->getActions() item=objAction} 
                            <option value="{$objRessource->getID()}_{$objAction->getID()}">{$objRessource->getName()} - {$objAction->getName()}</option>
                        {/foreach}
                    {/foreach}                    
                </select>
                <input type="submit" value="{gettext key=btn_add_permission}" />
                <input type="hidden" name="action" value="add_permission"/>       
            </form>
        </fieldset>
        
        <fieldset>
            <legend>{gettext key=fieldset_list_of_roles}</legend> 
            <div id="error" style="color:red">{$errorDeleteMember}</div>
            <div id="info" style="color:green">{$infoMessage}</div>        
            <ul>
                {foreach from=$roles item=objRole}
                    <li>
                        {$objRole->getName()} 
                        - <a href="javascript:showHideRole('{$objRole->getName()}');" id="a_role_{$objRole->getName()}">{gettext key=a_edit_role}</a>
                        - <a href="javascript:showHideMember('{$objRole->getName()}')" id="a_member_{$objRole->getName()}">{gettext key=a_show_members}</a> 
                        - <a href="javascript:showHidePermission('{$objRole->getName()}')" id="a_permission_{$objRole->getName()}">{gettext key=a_show_permissions}</a>                     
                        - <a href="javascript:deleteRole('{$objRole->getName()}');">{gettext key=a_delete_role}</a>
                        
                        <fieldset id="fieldset_role_{$objRole->getName()}" style="display:none">
                            <legend>{gettext key=fieldset_edit}</legend>
                            <form>
                                {gettext key=lbl_name} <input type="text" name="name" value="{$objRole->getName()}" style="width:200px" />  
                                <input type="submit" value="{gettext key=btn_update}" /> 
                                <input type="hidden" name="action" value="update_role"/>
                                <input type="hidden" name="role" value="{$objRole->getName()}"/>   
                            </form>
                        </fieldset>
                        <fieldset style="display:none" id="fieldset_member_{$objRole->getName()}">
                            <legend>{gettext key=fieldset_list_of_member}</legend>
                            {assign var='members' value=$objRole->getMember()}
                            {if $members->count() > 0}
                                <form method="post" onsubmit="return confirmDeleteMember('{$objRole->getName()}');" id="form_members_{$objRole->getName()}">
                                    <ul type="circle">                        
                                        {foreach from=$members item=strUsername}
                                            <li>
                                                <input type="checkbox" name="members[]" value="{$strUsername}" /> 
                                                {$strUsername} 
                                                - <a href="javascript:deleteMember('{$objRole->getName()}', '{$strUsername}');">{gettext key=a_delete_member}</a>
                                            </li>     
                                        {/foreach}
                                    </ul> 
                                    <br/>
                                    <input type="hidden" name="action" value="delete_members"/> 
                                    <input type="hidden" name="role" value="{$objRole->getName()}"/>
                                    <input type="submit" value="{gettext key=btn_delete_members}"/> 
                                    - <a href="javascript:selectAll('form_members_{$objRole->getName()}', true)">{gettext key=a_select_all}</a> 
                                    - <a href="javascript:selectAll('form_members_{$objRole->getName()}', false)">{gettext key=a_unselect_all}</a>                                
                                </form>
                            {else}
                                {gettext key=lbl_empty_member}
                            {/if} 
                        </fieldset>
                        <fieldset style="display:none" id="fieldset_permission_{$objRole->getName()}">
                            <legend>{gettext key=fieldset_list_of_permission}</legend>                                        
                            {assign var='permissions' value=$objRole->getPermission()}
                            {if $permissions->count() > 0}
                                <form method="post" onsubmit="return confirmDeletePermission('{$objRole->getName()}');" id="form_permissions_{$objRole->getName()}">
                                    <ul type="circle">                        
                                        {foreach from=$permissions item=objArrayPermission}
                                            {assign var='objAction' value=$objArrayPermission.action} 
                                            {assign var='objRessource' value=$objArrayPermission.ressource} 
                                            <li>
                                                <input type="checkbox" name="permissions[]" info="{$objRessource->getName()} - {$objAction->getName()}" value="{$objRessource->getID()}-{$objAction->getID()}" />
                                                {$objRessource->getName()} 
                                                - {$objAction->getName()} 
                                                - <a href="javascript:deletePermission('{$objRole->getName()}','{$objRessource->getID()}','{$objAction->getID()}','{$objRessource->getName()}','{$objAction->getName()}');">{gettext key=a_delete_permission}</a>
                                            </li>     
                                        {/foreach}
                                    </ul>
                                    <br/>
                                    <input type="hidden" name="action" value="delete_permissions"/> 
                                    <input type="hidden" name="role" value="{$objRole->getName()}"/>
                                    <input type="submit" value="{gettext key=btn_delete_permissions}"/> 
                                    - <a href="javascript:selectAll('form_permissions_{$objRole->getName()}', true)">{gettext key=a_select_all}</a> 
                                    - <a href="javascript:selectAll('form_permissions_{$objRole->getName()}', false)">{gettext key=a_unselect_all}</a> 
                                </form> 
                            {else}
                                {gettext key=lbl_empty_permission}
                            {/if} 
                        </fieldset>    
                    </li>                 
                {foreachelse}
                    {gettext key=lbl_empty_role}
                {/foreach}                    
            <ul> 
        </fieldset> 
    </body>
</html>