<?php   

header('Content-type: text/html; charset=UTF-8');

require_once 'common.php';

// --------------------------------------
// Configure library
// --------------------------------------
org_geoprisma_SettingImpl::setProxyURL(dirname($_SERVER['PHP_SELF']).'/proxy.php');

// --------------------------------------
// Set the workspace
// --------------------------------------
org_geoprisma_SettingImpl::setConfig('org_geoprisma_config_XMLWorkspaceConfig');
if (isset($_REQUEST['workspace']))
{    
    org_geoprisma_config_XMLWorkspaceConfig::setCurrentWorkspace($_REQUEST['workspace']);
}
else
{
    org_geoprisma_config_XMLWorkspaceConfig::setCurrentWorkspace('WS_Default');
}

// --------------------------------------
// Save the config_secur.xml
// --------------------------------------
if ($g_bConfigSecure)
{
    org_geoprisma_config_ConfigFactory::getConfig()->getDomDocument()->save('config_secur.xml');
}

// --------------------------------------
// Render the layouy
// --------------------------------------
$objUI = new org_geoprisma_uirender_UI('default');
echo $objUI->render($g_objArrayParameters); 

?>
