<?php
/**
* Thrown exception when a required field doesn't exists.
* 
* Exception code 403
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Alexandre Dube 
* @copyright 2010, Nippour Geomatik
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Thrown exception when a required field doesn't exists.
* 
* Exception code 403
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Alexandre Dube
*/
class org_geoprisma_exception_FieldNotFoundException extends Exception
{
    /**
    * Creates a new instance of org_geoprisma_exception_FieldNotFoundException
    * 
    * @param string $piField Field id searched
    * 
    * @return org_geoprisma_exception_FieldNotFoundException
    */
    public function __construct($piField)
    {   
        com_borealis_foundation_util_Assert::assertIsString($piField);
             
        parent::__construct("Field not found : $piField", 403);
    }   
}
  
?>
