<?php
/**
* Exception lancé quand un layout demander n'existe pas 
* 
* Exception code 404
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un layout demander n'existe pas
* 
* Exception code 404
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_LayoutNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_LayoutNotFoundException
    * 
    * @param string $pstrLayout Nom du layout rechercher
    * 
    * @return org_geoprisma_exception_LayoutNotFoundException
    */
    public function __construct($pstrLayout)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrLayout);
             
        parent::__construct("Layout Not found : $pstrLayout", 404);
    }   
}
  
?>