<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/initialview/initialview.php';
    
class InitialViewTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', InitialView::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('initialview', InitialView::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test','initialview'));
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test','initialview'));  
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', InitialView::getText('phpunit_test'));        
    } 
    
    public function testGetURLField()    
    {
        $this->assertEquals('__nothing__', InitialView::getURLField(''));        
    } 
    
    public function testGetURLField2()    
    {
        $_REQUEST['tomate'] = 'carotte   '; 
        $this->assertEquals('carotte', InitialView::getURLField('tomate'));        
    }
    
    public function testGetInitialViewExtent()    
    {
        // TODO : Code test for getInitialViewExtent       
    }
}
  
?>