<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/mapfishrecenter/mapfishrecenter.php';
    
class MapFishRecenterTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', MapFishRecenter::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('mapfishrecenter', MapFishRecenter::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test','mapfishrecenter'));
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test','mapfishrecenter'));  
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', MapFishRecenter::getText('phpunit_test'));        
    } 
}
  
?>