<?php   
/**
* Classe de base pour le cration d'un mot de pass texte claire
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-security  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Classe de base pour le cration d'un mot de pass texte claire
* 
* @category   PHP 
* @package    Borealis-security
* @subpackage Password
* @author     Pascal Martin 
*/
class com_borealis_security_password_RawPasswordCreator extends com_borealis_security_password_PasswordCreator
{
    /**
    * Retourne in instance de com_borealis_security_password_Password
    * 
    * @param string $pstrValue Value for Password contructor
    * 
    * @return com_borealis_security_password_RawPassword
    */
    public function getPassword($pstrValue)
    {
        return new com_borealis_security_password_RawPassword($pstrValue);    
    }
}   
    
?>