<?
       
class com_borealis_authentication_AuthenticationManagerTest extends PHPUnit_Framework_TestCase
{
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized()
    {
        $objArrayCheckers = array();
        array_push($objArrayCheckers, 1);    
        array_push($objArrayCheckers, 2);      
        com_borealis_authentication_SettingImpl::setCheckers($objArrayCheckers);
                
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('asas','as');
        $this->assertFalse($bAuthorized);        
    }  
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized2()
    {
        $objArrayCheckers = array();
        array_push($objArrayCheckers, com_borealis_authentication_checker_LDAPCheckerTest::getChecker());    
        array_push($objArrayCheckers, 'tomate');
        array_push($objArrayCheckers, com_borealis_authentication_checker_PDOCheckerTest::getChecker());                  
        array_push($objArrayCheckers, new ArrayObject());
        array_push($objArrayCheckers, com_borealis_authentication_checker_AlfrescoCheckerTest::getChecker());                  
        array_push($objArrayCheckers, '--');
        array_push($objArrayCheckers, com_borealis_authentication_checker_XMLCheckerTest::getChecker());                  
        array_push($objArrayCheckers, com_borealis_authentication_checker_XMLCheckerTest::getChecker2());                  
        array_push($objArrayCheckers, '--');
        array_push($objArrayCheckers, com_borealis_authentication_checker_JossoCheckerTest::getChecker());                                   
        
        com_borealis_authentication_SettingImpl::setCheckers($objArrayCheckers);
                
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('asas','as');
        $this->assertFalse($bAuthorized);      
        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('admin','admin');
        $this->assertTrue($bAuthorized);       
        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('authuser', 'Z!33iLi42');
        $this->assertTrue($bAuthorized);  
        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('pmartin', 'admin');
        $this->assertTrue($bAuthorized);   
        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('god', 'god');
        $this->assertTrue($bAuthorized);
        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('pmartin', 'bingo');
        $this->assertTrue($bAuthorized);    
                        
        $bAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized('admin', 'bW1tbW1tbW1tbW1tbW1tbbV54bDhE7IE6YAJmOz4Qn4=');
        $this->assertTrue($bAuthorized);         
    }            
}   
    
?>