function deleteMember(pstrName, pstrUsername)
{
    var strMessage = G_CONFIRM_DELETE_MEMBER;
    if (confirm(strMessage.replace(':role', pstrName).replace(':username', pstrUsername))) 
    {
        window.location = 'roles.php?action=delete_member&role='+pstrName+'&username=' + pstrUsername;
    }
}

function deletePermission(pstrName, pstrRessourceId, pstrActionId, pstrRessourceName, pstrActionName)
{
    var strMessage = G_CONFIRM_DELETE_PERMISSION;
    if (confirm(strMessage.replace(':role', pstrName).replace(':resource', pstrRessourceName).replace(':action', pstrActionName))) 
    {
        window.location = 'roles.php?action=delete_permission&role='+pstrName+'&actionid='+pstrActionId+'&ressourceid=' + pstrRessourceId;
    }
}

function deleteRole(pstrName)
{
    var strMessage = G_CONFIRM_DELETE_ROLE;
    if (confirm(strMessage.replace(':role', pstrName))) 
    {
        window.location = 'roles.php?action=delete_role&role=' + pstrName;
    }
}
     
     
function showHideMember(pstrRoleName)
{
    a_member = document.getElementById('a_member_' + pstrRoleName);                   
    fieldset_member = document.getElementById('fieldset_member_' + pstrRoleName);
    
    if (fieldset_member.style.display == 'none')
    {
        fieldset_member.style.display = 'block'; 
        a_member.innerHTML = G_A_HIDE_MEMBERS;
    }
    else
    {
        fieldset_member.style.display = 'none'; 
        a_member.innerHTML = G_A_SHOW_MEMBERS;
    }
}
                 
function showHidePermission(pstrRoleName)
{
    a_permission = document.getElementById('a_permission_' + pstrRoleName);                   
    fieldset_permission = document.getElementById('fieldset_permission_' + pstrRoleName);
    
    if (fieldset_permission.style.display == 'none')
    {
        fieldset_permission.style.display = 'block'; 
        a_permission.innerHTML = G_A_HIDE_PERMISSIONS;
    }
    else
    {
        fieldset_permission.style.display = 'none'; 
        a_permission.innerHTML = G_A_SHOW_PERMISSIONS;
    }
}

function showHideRole(pstrRoleName)
{
    a_role = document.getElementById('a_role_' + pstrRoleName);                   
    fieldset_role = document.getElementById('fieldset_role_' + pstrRoleName);
    
    if (fieldset_role.style.display == 'none')
    {
        fieldset_role.style.display = 'block'; 
        a_role.innerHTML = G_A_CANCEL_EDIT_ROLE;
    }
    else
    {
        fieldset_role.style.display = 'none'; 
        a_role.innerHTML = G_A_EDIT_ROLE;
    }
}

function showHideCopy(id, show)
{
    div = document.getElementById(id); 
    if (show)
    {
         div.style.display = 'block';
    }
    else
    {
         div.style.display = 'none';
    }    
}

function confirmDeleteMember(pstrRoleName)
{
    var strMessage = G_CONFIRM_DELETE_MEMBERS;                
    var form_members = document.getElementById('form_members_'+pstrRoleName);
    var strMembers = '';
    var iNumberDelete = 0;
    
    for(i=0; i<form_members.elements.length ;i++)
    {
        if (form_members.elements[i].type == 'checkbox' && form_members.elements[i].checked)
        {
            strMembers += form_members.elements[i].value + "\n"; 
            ++iNumberDelete;
        }
    } 
    
    if (iNumberDelete == 0)
    {
        alert(G_ALERT_SELECT_MEMBER);     
        return false;
    }   
      
    if (confirm(strMessage.replace(':members', strMembers).replace(':role', pstrRoleName))) 
    {
        return true;
    }
    else
    {
        return false;    
    }
}
  
function confirmDeletePermission(pstrRoleName)
{
    var strMessage = G_CONFIRM_DELETE_PERMISSIONS;              
    var form_permission = document.getElementById('form_permissions_'+pstrRoleName);
    var strPermission = '';
    var iNumberDelete = 0;
    
    for(i=0; i<form_permission.elements.length ;i++)
    {
        if (form_permission.elements[i].type == 'checkbox' && form_permission.elements[i].checked)
        {
            strPermission += form_permission.elements[i].info + "\n"; 
            ++iNumberDelete;
        }
    } 
    
    if (iNumberDelete == 0)
    {
        alert(G_ALERT_SELECT_PERMISSION);     
        return false;
    }   
      
    if (confirm(strMessage.replace(':permissions', strPermission).replace(':role', pstrRoleName))) 
    {
        return true;
    }
    else
    {
        return false;    
    }
}           

function selectAll(pstrID, pbValue)
{
     var form = document.getElementById(pstrID);  
     for(i=0; i<form.elements.length ;i++)
    {
        if (form.elements[i].type == 'checkbox' && form.elements[i].checked != pbValue)
        {
            form.elements[i].checked = pbValue;
        }
    }  
}