<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2009-2012 Mapgears Inc.
   Published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 
<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:api="http://geoprisma.org/api"
    extension-element-prefixes="dyn">

  <xsl:output method="html" indent="yes" encoding="utf-8" omit-xml-declaration="yes"/>
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

  <xsl:template name="api:printWidgetSource">
    <script>
      <xsl:attribute name="src" >
        <xsl:value-of select="$g_widgets_url"/>
        <xsl:text>/api/lib/org.GeoPrisma.API.js</xsl:text>
      </xsl:attribute>    
    </script>
   </xsl:template>

  <xsl:template name="api:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />
    <script type="text/javascript"> 
      var GeoPrisma = new org.GeoPrisma.API({"version": "1.2.1"});
   </script>
  </xsl:template>
</xsl:stylesheet>
