<?php
/* 
   Copyright (c) 2009- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 

class GeoExtPrintForm extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'geoextprintform';
    }

    static public function getServiceType()
    {
        return 'mapfishprint';
    }

    static public function getPrintCapabilitiesWithProxyURL($pstrPrintService)
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();
        $objPrintService = $objConfig->getService($pstrPrintService);
        return $objPrintService->getCapabilitiesWithProxyURL();
    }
}
  
?>
