<?php
/**
* Exception lancé quand un datastore demander n'existe pas 
* 
* Exception code 403
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un datastore demander n'existe pas
* 
* Exception code 403
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_DatastoreNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_DatastoreNotFoundException
    * 
    * @param string $pstrDatastore Nom du datastore rechercher
    * 
    * @return org_geoprisma_exception_DatastoreNotFoundException
    */
    public function __construct($pstrDatastore)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrDatastore);
             
        parent::__construct("Datastore Not found : $pstrDatastore", 403);
    }   
}
  
?>