<?php
/**
* Exception lancé quand un option demander n'existe pas 
* 
* Exception code 408
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un option demander n'existe pas
* 
* Exception code 408
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_OptionNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_OptionNotFoundException
    * 
    * @param string $pstrOption Nom de l'option rechercher
    * 
    * @return org_geoprisma_exception_OptionNotFoundException
    */
    public function __construct($pstrOption)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrOption);
             
        parent::__construct("Option Not found : $pstrOption", 408);
    }   
}
  
?>