<?php
/**
* Exception lancé quand un widget demander n'existe pas 
* 
* Exception code 407
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un widget demander n'existe pas
* 
* Exception code 407
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_WidgetNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_WidgetNotFoundException
    * 
    * @param string $pstrWidget Nom du widget rechercher
    * 
    * @return org_geoprisma_exception_WidgetNotFoundException
    */
    public function __construct($pstrWidget)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrWidget);
             
        parent::__construct("Widget Not found : $pstrWidget", 407);
    }   
}
  
?>