<?php
/**
* Fonction utilitaire pour récupèrer l'url du proxy dans le xslt
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Fonction utilitaire pour récupèrer l'url du proxy dans le xslt
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage UIRenderUtils 
* @author     Pascal Martin 
*/ 
class org_geoprisma_uirender_utils_Proxy
{
    /**
    * Return the proxy url
    * 
    * @return string
    */
    public static function getProxyURL()
    {
        return org_geoprisma_SettingImpl::getProxyURL();
    }      

    /**
    * Return the proxy url aliases
    *
    * @return string
    */
    public static function getProxyURLAliases()
    {
        return org_geoprisma_SettingImpl::getProxyURLAliases();
    }

}
?>
