<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/delegatefeature/delegatefeature.php';
    
class DelegateFeatureTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', DelegateFeature::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('delegatefeature', DelegateFeature::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test','delegatefeature'));
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test','delegatefeature'));  
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', DelegateFeature::getText('phpunit_test'));        
    } 
}
  
?>