<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/zoomslider/zoomslider.php';
    
class ZoomSliderTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', ZoomSlider::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('zoomslider', ZoomSlider::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test','zoomslider'));
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test','zoomslider'));  
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', ZoomSlider::getText('phpunit_test'));      
    } 
}
  
?>