<?php
    
class org_geoprisma_SettingImplTest extends PHPUnit_Framework_TestCase
{

    public function testSetConfig()
    {
         org_geoprisma_SettingImpl::setConfig('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getConfig());
    }
    
    public function testSetXMLConfigFile()
    {
         org_geoprisma_SettingImpl::setXMLConfigFile('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getXMLConfigFile());
    }
    
    public function testSetProxyURL()
    {
         org_geoprisma_SettingImpl::setProxyURL('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getProxyURL());
    }
    
    public function testSetTemplateDir()
    {
         org_geoprisma_SettingImpl::setTemplateDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getTemplateDir());
    }
    
    public function testSetWidgetDir()
    {
         org_geoprisma_SettingImpl::setWidgetDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getWidgetDir());
    }
  
    public function testSetLocaleDir()
    {
         org_geoprisma_SettingImpl::setLocaleDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getLocaleDir());
    }
    
    public function testSetACLClass()
    {
         org_geoprisma_SettingImpl::setACLClass('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getACLClass());
    }
    
    public function testTemplateDir()
    {
         org_geoprisma_SettingImpl::setTemplateDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getTemplateDir());
    }
    
    public function testWidgetDir()
    {
         org_geoprisma_SettingImpl::setWidgetDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getWidgetDir());
    }
    
    public function testLibDir()
    {
         org_geoprisma_SettingImpl::setLibDir('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getLibDir());
    }
    
    public function testLibUrl()
    {
         org_geoprisma_SettingImpl::setLibUrl('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getLibUrl());
    }
    
    public function testWidgetUrl()
    {
         org_geoprisma_SettingImpl::setWidgetUrl('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getWidgetUrl());
    }
    
    public function testTemplateUrl()
    {
         org_geoprisma_SettingImpl::setTemplateUrl('abcd');
         $this->assertEquals('abcd', org_geoprisma_SettingImpl::getTemplateUrl());
    }
    
    protected function setUp()    
    {  
        $GLOBALS['PHPUNIT_Config']        = org_geoprisma_SettingImpl::getConfig();
        $GLOBALS['PHPUNIT_ProxyURL']      = org_geoprisma_SettingImpl::getProxyURL();
        $GLOBALS['PHPUNIT_TemplateDir']   = org_geoprisma_SettingImpl::getTemplateDir();
        $GLOBALS['PHPUNIT_XMLConfigFile'] = org_geoprisma_SettingImpl::getXMLConfigFile();
        $GLOBALS['PHPUNIT_WidgetDir']     = org_geoprisma_SettingImpl::getWidgetDir();
        $GLOBALS['PHPUNIT_LocaleDir']     = org_geoprisma_SettingImpl::getLocaleDir();
        $GLOBALS['PHPUNIT_ACLClass']      = org_geoprisma_SettingImpl::getACLClass();    
        $GLOBALS['PHPUNIT_TemplateDir']   = org_geoprisma_SettingImpl::getTemplateDir();
        $GLOBALS['PHPUNIT_WidgetDir']     = org_geoprisma_SettingImpl::getWidgetDir();
        $GLOBALS['PHPUNIT_LibDir']        = org_geoprisma_SettingImpl::getLibDir();
        $GLOBALS['PHPUNIT_LibUrl']        = org_geoprisma_SettingImpl::getLibUrl();    
        $GLOBALS['PHPUNIT_TemplateUrl']   = org_geoprisma_SettingImpl::getTemplateUrl();
        $GLOBALS['PHPUNIT_WidgetUrl']     = org_geoprisma_SettingImpl::getWidgetUrl();
        
    }                                  
    
    protected function tearDown()    
    {  
        org_geoprisma_SettingImpl::setConfig($GLOBALS['PHPUNIT_Config']);
        org_geoprisma_SettingImpl::setXMLConfigFile($GLOBALS['PHPUNIT_XMLConfigFile']);           
        org_geoprisma_SettingImpl::setProxyURL($GLOBALS['PHPUNIT_ProxyURL']);           
        org_geoprisma_SettingImpl::setTemplateDir($GLOBALS['PHPUNIT_TemplateDir']);           
        org_geoprisma_SettingImpl::setWidgetDir($GLOBALS['PHPUNIT_WidgetDir']);
        org_geoprisma_SettingImpl::setLocaleDir($GLOBALS['PHPUNIT_LocaleDir']);
        org_geoprisma_SettingImpl::setACLClass($GLOBALS['PHPUNIT_ACLClass']);    
        org_geoprisma_SettingImpl::setTemplateDir($GLOBALS['PHPUNIT_TemplateDir']);
        org_geoprisma_SettingImpl::setWidgetDir($GLOBALS['PHPUNIT_WidgetDir']);
        org_geoprisma_SettingImpl::setLibDir($GLOBALS['PHPUNIT_LibDir']);
        org_geoprisma_SettingImpl::setLibUrl($GLOBALS['PHPUNIT_LibUrl']);
        org_geoprisma_SettingImpl::setTemplateUrl($GLOBALS['PHPUNIT_TemplateUrl']);
        org_geoprisma_SettingImpl::setWidgetUrl($GLOBALS['PHPUNIT_WidgetUrl']);
    }
}
    
?>
